%global major_version %%(cut -d '.' -f 1 <<<%{version})
Summary:        Graphical interface for advanced GNOME 3 settings
Name:           gnome-tweaks
Version:        45.0
Release:        2%{?dist}
License:        GPL-3.0-or-later AND CC0-1.0
URL:            https://wiki.gnome.org/Apps/Tweaks
Source0:        https://download.gnome.org/sources/%{name}/%{major_version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  desktop-file-utils gettext libappstream-glib pkgconfig(libhandy-1) python3-devel
Requires:       gnome-desktop3 gobject-introspection gsettings-desktop-schemas gtk3 libhandy1 libnotify
Requires:       pango python3dist(pygobject)
Recommends:     gnome-settings-daemon gnome-shell mutter sound-theme-freedesktop 
Suggests:       gnome-shell-extension-user-theme
Provides:       gnome-tweak-tool = %{version}-%{release}

BuildArch:      noarch

%description
GNOME Tweaks allows adjusting advanced configuration settings in GNOME 3. This
includes things like the fonts used in user interface elements, alternative user
interface themes, changes in window management behavior, GNOME Shell appearance
and extension, etc.


%prep
%autosetup -n %{name}-%{version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet $RPM_BUILD_ROOT/%{_datadir}/metainfo/*.appdata.xml



%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license LICENSES/*
%{_bindir}/%{name}
%{python3_sitelib}/gtweak/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.tweaks.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.tweaks-symbolic.svg
%{_datadir}/metainfo/*.appdata.xml


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 45.0-2
- Rebuilt for loongarch release

* Fri Jan 26 2024 edwardewang <edwardewang@tencent.com> - 45.0-1
- Upgrade to 45.0

* Wed Jan 24 2024 edwardewang <edwardewang@tencent.com> - 42~beta-5
- Fix for "Could not open gnome-tweaks.lang"

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42~beta-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42~beta-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42~beta-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 04 2023 Miaojun Dong <zoedong@tencent.com> - 42~beta-1
- initial build
